<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0" >
<xsl:output method="text" media-type="text/plain"/>
<xsl:template match = "/icestats" >graph_title Bandwith for <xsl:value-of select="server_id" /> on <xsl:value-of select="host" /> <!-- port  <xsl:value-of select="" />-->
graph_args --base 1000
graph_vlabel bitrate
graph_category Other
graph_info This graph shows the incoming and outgoing bitrates for an icecast server.<!--</xsl:text>-->
<!--graph_order _source1_hi_ogg_in _source1_hi_ogg_out _source1_ogg_in _source1_ogg_out _source2_ogg_in _source2_ogg_out --><!-- FIXME replace with automagic code-->
<!--uncoment this if you want to override the host name within munin
host_name <xsl:value-of select="host" />
-->
<xsl:text>
</xsl:text>
<xsl:for-each select="source">
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_in.label  <xsl:value-of select="@mount" />_in<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_in.info  <xsl:value-of select="@mount" />_in<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_in.type GAUGE<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_in.cdef <xsl:value-of select="translate(@mount, '/.-', '___')" />_in,1000,*<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_in.graph no<xsl:text>
</xsl:text>
<xsl:value-of select="translate(@mount, '/.-', '___')" />_out.negative <xsl:value-of select="translate(@mount, '/.-', '___')" />_in<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_out.label <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_out.info <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_out.type GAUGE<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_out.draw LINE1<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />_out.cdef <xsl:value-of select="translate(@mount, '/.-', '___')" />_out,1000,*<xsl:text>
</xsl:text>

<!-- if unlimited then don't show those! -->
<!-- <xsl:choose>
 <xsl:when test="max_listeners='unlimited'">
 </xsl:when>
  <xsl:otherwise>
-->
   <!-- warnings will be set to 90% of max_listeners but with the decimals cut off -->
<!--   <xsl:value-of select="translate(@mount, '/.', '__')" />.warning <xsl:number value = "max_listeners*0.9" format = "1" /><xsl:text>
</xsl:text>
   <xsl:value-of select="translate(@mount, '/.', '__')" />.critical <xsl:value-of select="max_listeners" /><xsl:text>
</xsl:text>
  </xsl:otherwise>
 </xsl:choose>
-->

<!--
 <xsl:value-of select="translate(@mount, '/.', '__')" />.value <xsl:value-of select="listeners" /><xsl:text>
</xsl:text>-->
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
