<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0" >
<xsl:output method="text" media-type="text/plain"/>
<xsl:template match = "/icestats" >graph_title Listeners of <xsl:value-of select="server_id" /> on <xsl:value-of select="host" /> <!-- port  <xsl:value-of select="" />-->
graph_args --base 1000 --lower-limit 0 <!-- limits have to be adjusted manually!  values not available from within icecast-->
graph_vlabel listeners
graph_category Other
graph_info This graph shows the slow-listener counts for an icecast server.<!--</xsl:text>-->
<!--uncoment this if you want to override the host name within munin
host_name <xsl:value-of select="host" />
-->
<xsl:text>
</xsl:text>
<xsl:for-each select="source">
 <xsl:value-of select="translate(@mount, '/.-', '___')" />.label <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />.info <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.', '__')" />.type DERIVE<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.', '__')" />.draw LINE1<xsl:text>
</xsl:text><!--
 <xsl:value-of select="translate(@mount, '/.', '__')" />.value <xsl:value-of select="listeners" /><xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.', '__')" />.value <xsl:value-of select="listeners" /><xsl:text>
</xsl:text>-->
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
